Subject: Re: [PATCH v14 3/4] arm64: Use generic TIF bits for common thread flags

From: Catalin Marinas <[email-masked]>
Date: Wed, 1 Apr 2026 11:55:20 +0100

On Fri, Mar 20, 2026 at 06:42:21PM +0800, Jinjie Ruan wrote:
> Use the generic TIF bits defined in <asm-generic/thread_info_tif.h> for
> standard thread flags (TIF_SIGPENDING, TIF_NEED_RESCHED, TIF_NOTIFY_RESUME,
> TIF_RESTORE_SIGMASK, TIF_SINGLESTEP, etc.) instead of defining
> them locally.
> 
> Arm64-specific bits (TIF_FOREIGN_FPSTATE, TIF_MTE_ASYNC_FAULT, TIF_SVE,
> TIF_SSBD, etc.) are renumbered to start at bit 16 to avoid conflicts.
> 
> This enables RSEQ optimizations which require CONFIG_HAVE_GENERIC_TIF_BITS
> combined with the generic entry infrastructure (already used by arm64).
> 
> By the way, remove TIF_FREEZE because this flag became unused since
> commit d88e4cb67197 ("freezer: remove now unused TIF_FREEZE").
> 
> Cc: Thomas Gleixner <[email-masked]>
> Reviewed-by: Kevin Brodsky <[email-masked]>
> Reviewed-by: Linus Walleij <[email-masked]>
> Reviewed-by: Yeoreum Yun <[email-masked]>
> Signed-off-by: Jinjie Ruan <[email-masked]>

Acked-by: Catalin Marinas <[email-masked]>

Given that it's touching multiple trees, I guess it's a series for
Andrew?

-- 
Catalin